ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/load-complete
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/load-complete' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"protocolId": 0,
"simulate": true,
"loadCompleteAction": "Run",
"residualTips": [
{
"deckPosition": 0,
"residualTipData": {
"useAllAddresses": true,
"addresses": [
{
"row": 1,
"column": 1
}
]
}
}
],
"barcodes": [
{
"deckPosition": 0,
"address": {
"row": 0,
"column": 0
},
"barcodeValue": "string"
}
],
"liquidVolumes": [
{
"deckPosition": 0,
"positionOnSite": 0,
"row": 0,
"column": 0,
"volume": 0.1
}
]
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/abort
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/abort' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "hasError": true, "error": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/pause
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/pause' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "hasError": true, "error": "string" }